Bug 103900 - LibreOffice Writer spell check does not work for some document
Summary: LibreOffice Writer spell check does not work for some document
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2016-11-13 00:46 UTC by Melwin Issac
Modified: 2017-02-11 20:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Spell check pop up (66.47 KB, image/png)
2016-11-13 00:46 UTC, Melwin Issac
Details
Resolved screenshot (36.53 KB, image/png)
2016-11-26 15:26 UTC, Melwin Issac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Melwin Issac 2016-11-13 00:46:20 UTC
Created attachment 128712 [details]
Spell check pop up

Hi All,

First of all, thanks to all those who work hard to make LibreOffice better everyday.

The problem I face with Libreoffice writer is that it does not do a spell check in some documents. But it does spell check in other documents! The most probable reason I noticed is, even though English is the default language for all documents, for some documents, it is blank in spell check pop-up. Why it is like that? I am in fact unable to select English language dictionary manually! Any fixes? 

   I am attaching the screen shot of the document of which spell check is not working because it does not recognize the language of the text even though it is English and default document language is set as English.

Peace & Blessings,
Melwin Issac.
Comment 1 Jeffrey 2016-11-22 08:38:14 UTC
I have found that the spell checker does not work when I change the language to anything except US English. This also happens when Ubuntu 16.04 is installed when the home address is Australia. 
I have installed English from the Libre Office website but the English Australia appears on the bottom of the screen when applied to selected text but it is not effective and although gives the message spell-check complete. It checks to language none. 'Have not found a way to make it work so only use English US
Comment 2 Melwin Issac 2016-11-22 19:56:28 UTC
I Always use English as my default language but some pages don't detect the English language.
Comment 3 Aron Budea 2016-11-23 09:35:17 UTC
Hi Melwin, thanks for the bug report. Could you attach a sample document?

Jeffrey, your issue seems to be something completely different, please discuss it somewhere else. Actually, first I'd check if the appropriate language modules are installed on your Ubuntu, here are a couple of links with details:
https://askubuntu.com/questions/72099/how-to-install-a-libreoffice-dictionary-spelling-check-thesaurus/135185
https://wiki.ubuntu.com/LibreOffice
Comment 4 Melwin Issac 2016-11-26 15:26:00 UTC
Created attachment 129035 [details]
Resolved screenshot
Comment 5 Buovjaga 2017-02-11 20:51:21 UTC
Ok, looks like Melwin managed to resolve the problem, so closing.